extends ContentInfo

const ExtraSettings = preload("ExtraSettings.gd")
const SettingsMenuHook = preload("SettingsMenuHook.gd")

var menu_hook = SettingsMenuHook.new()

func init_content():
	.init_content()
	Console.register("set_input_icons", {
		"description":"Sets the input icons to a specific type.\nOptions: default,xbox,ps,switch\nAlternatively you can see enter a icon set name from res://addons/platform/input_icons", 
		"args":[TYPE_STRING], 
		"target":[self, "_console_set_input_icons"]
	})

	UserSettings.connect("settings_changed", self, "_on_settings_changed")
	self.menu_hook.add_hook()

func _console_set_input_icons(icon: String):
	match icon:
		"default": InputIcons.set_icon_set_override("")
		"xbox": InputIcons.set_icon_set_override("xbox_one")
		"ps": InputIcons.set_icon_set_override("sony")
		"switch": InputIcons.set_icon_set_override("switch")
		_: InputIcons.set_icon_set_override(icon)

func _on_settings_changed():
	var icon = ExtraSettings.get_icons_setting()
	InputIcons.set_icon_set_override(icon)
